%define fw_version 5.41

Summary:	KDE Frameworks 5 DBus addons module with various classes on top of QtDBus
Name:		kdbusaddons
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
KDE Frameworks 5 DBus addons module with various classes on top of QtDBus.

KDBusAddons provides convenience classes on top of QtDBus, as well as an API to
create KDED modules.

%files
%{_kde5_bindir}/kquitapp5
%{_kde5_configdir}/kdbusaddons.categories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDBusAddons translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDBusAddons translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5dbusaddons_major 5
%define libkf5dbusaddons %mklibname kf5dbusaddons %{kf5dbusaddons_major}

%package -n %{libkf5dbusaddons}
Summary:	KDE Frameworks 5 DBus addons shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5dbusaddons}
KDE Frameworks 5 DBus addons shared library.

%files -n %{libkf5dbusaddons}
%{_kde5_libdir}/libKF5DBusAddons.so.%{kf5dbusaddons_major}*

#----------------------------------------------------------------------------

%define devkf5dbusaddons %mklibname kf5dbusaddons -d

%package -n %{devkf5dbusaddons}
Summary:	Development files for KDE Frameworks 5 DBus addons
Group:		Development/KDE and Qt
Requires:	%{libkf5dbusaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5dbusaddons-devel = %{version}

%description -n %{devkf5dbusaddons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5dbusaddons}
%{_kde5_includedir}/KF5/KDBusAddons
%{_kde5_includedir}/KF5/kdbusaddons_version.h
%{_kde5_libdir}/cmake/KF5DBusAddons
%{_kde5_libdir}/libKF5DBusAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (3770671) Update files
- (Andrey Bondrov: 9f00626) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (7debd69) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (b7640ef) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (d19d66c) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (033c8e3) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (51e9d57) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (e85e79b) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (c4c77d5) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (6806bd8) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (1a327e0) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (1a1d859) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (5895694) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (89cfcbb) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (3edc626) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (f0ce8e1) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (63060a1) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (cdf02c5) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (379059c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (b5aaf9a) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (b232248) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (e23e68c) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (0845a5d) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (9e05ba6) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (a0e5b9e) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (27e58b2) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (05aed89) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (762c5be) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (f5f8399) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (995417c) MassBuild#682: Increase release tag


